Runtime

## org.eclipse.gmf.runtime.diagram.core.commands
Class SetConnectionEndsCommand

    java.lang.Object
      org.eclipse.core.commands.operations.AbstractOperation
          org.eclipse.emf.workspace.AbstractEMFOperation
              org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand
                  org.eclipse.gmf.runtime.diagram.core.commands.SetConnectionEndsCommand

All Implemented Interfaces:
  IUndoableOperation, ICommand, org.eclipse.gmf.runtime.common.core.internal.command.ICommandWithSettableResult

    public class SetConnectionEndsCommand

extends AbstractTransactionalCommand

Command that sets a connections end points.

Constructor Summary
`SetConnectionEndsCommand(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain, java.lang.String label)` constructor

Method Summary
`protected CommandResult` `doExecuteWithResult(IProgressMonitor progressMonitor, IAdaptable info)` Implemented by subclasses to perform the model changes.
`java.util.List` `getAffectedFiles()` Returns the `IFile`s for resources that may be modified when the operation is executed, undone or redone.
`IAdaptable` `getEdgeAdaptor()` gets the edge adaptor.
`IAdaptable` `getNewSourceAdaptor()` gets the new source adaptor.
`IAdaptable` `getNewTargetAdaptor()` gets the new target adaptor.
`void` `setEdgeAdaptor(IAdaptable edgeAdaptor)` Sets the edge adaptor.
`void` `setNewSourceAdaptor(IAdaptable newSourceAdaptor)` Sets the new source adaptor.
`void` `setNewTargetAdaptor(IAdaptable newTargetAdaptor)` Sets the new target adaptor.

Methods inherited from class org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand
`aggregateStatuses, cleanup, compose, didRedo, didUndo, doExecute, doRedo, doUndo, getCommandResult, getWorkspaceFiles, getWorkspaceFiles, internalSetResult, reduce, setResult`

Methods inherited from class org.eclipse.emf.workspace.AbstractEMFOperation
`canRedo, canSetOptions, canUndo, didCommit, dispose, execute, getChange, getEditingDomain, getOptions, isReuseParentTransaction, redo, setOptions, setReuseParentTransaction, undo`

Methods inherited from class org.eclipse.core.commands.operations.AbstractOperation
`addContext, canExecute, getContexts, getLabel, hasContext, removeContext, setLabel, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.command.ICommand
`setLabel`

Methods inherited from interface org.eclipse.core.commands.operations.IUndoableOperation
`addContext, canExecute, canRedo, canUndo, dispose, execute, getContexts, getLabel, hasContext, redo, removeContext, undo`

Constructor Detail

### SetConnectionEndsCommand

    public SetConnectionEndsCommand(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain,
                                    java.lang.String label)

  constructor

  Parameters:
    `editingDomain` - the editing domain through which model changes are made
    `label` - the command label

Method Detail

### getAffectedFiles

    public java.util.List getAffectedFiles()

  Description copied from class: `AbstractTransactionalCommand`
  Returns the `IFile`s for resources that may be modified when the operation is executed, undone or redone.

  Specified by:
    `getAffectedFiles` in interface `ICommand`
  Overrides:
    `getAffectedFiles` in class `AbstractTransactionalCommand`
  Returns:
    the list of `IFile`s that will be modified

### getEdgeAdaptor

    public IAdaptable getEdgeAdaptor()

  gets the edge adaptor.

  Returns:
    the edge adapter

### getNewSourceAdaptor

    public IAdaptable getNewSourceAdaptor()

  gets the new source adaptor.

  Returns:
    new source adaptor.

### getNewTargetAdaptor

    public IAdaptable getNewTargetAdaptor()

  gets the new target adaptor.

  Returns:
    the new target adaptor.

### setEdgeAdaptor

    public void setEdgeAdaptor(IAdaptable edgeAdaptor)

  Sets the edge adaptor.

  Parameters:
    `edgeAdaptor` - the edgeAdaptor to set

### setNewSourceAdaptor

    public void setNewSourceAdaptor(IAdaptable newSourceAdaptor)

  Sets the new source adaptor.

  Parameters:
    `newSourceAdaptor` - The newSourceAdaptor to set

### setNewTargetAdaptor

    public void setNewTargetAdaptor(IAdaptable newTargetAdaptor)

  Sets the new target adaptor.

  Parameters:
    `newTargetAdaptor` - The newTargetAdaptor to set

### doExecuteWithResult

    protected CommandResult doExecuteWithResult(IProgressMonitor progressMonitor,
                                                IAdaptable info)
                                         throws ExecutionException

  Description copied from class: `AbstractTransactionalCommand`
  Implemented by subclasses to perform the model changes. These changes are applied by manipulation of the EMF metamodel's API, not by executing commands on the editing domain's command stack.

  Specified by:
    `doExecuteWithResult` in class `AbstractTransactionalCommand`
  Parameters:
    `progressMonitor` - the progress monitor provided by the operation history
    `info` - the adaptable provided by the operation history
  Returns:
    the result of the execution
  Throws:
    `ExecutionException` - if, for some reason, I fail to complete the operation

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.